Subject: Re: bug#52277: 29.0.50; failure to display svg in org latex preview with modus-vivendi theme

From: Kyle Meyer <[email-masked]>
Date: Sat, 04 Dec 2021 18:11:52 -0500

reassign 52277 emacs,org-mode
quit

Lars Ingebrigtsen writes:

> çağlar girit <[email-masked]> writes:
>
>> 1. emacs -Q
>> 2. customize org-preview-latex-default-process to dvisvgm
>> 3. load-theme modus-vivendi
>> 4. open an org file and write $test$
>> 5. turn on latex preview with C-c C-x C-l
>>
>> The latex will be rendered as a white box, white text on white
>> background
>
> I'm not familiar with the Org latex preview stuff, but it sounds like it
> might not be specifying both foreground and background colours, perhaps?

I'm not familiar with it either, but I just tried with dvisvgm 2.6.3, an
Emacs built from emacs-28.0.90-21-gfef3e600618, and a vanilla config
aside from

  (load-theme 'modus-vivendi t)
  (setq org-preview-latex-default-process 'dvisvgm)

Calling org-latex-preview renders "test" with a white foreground and
black background for me.